From c4cf7378460ba07dd9d5e30ca0277a2fc67f44eb Mon Sep 17 00:00:00 2001
From: Robert Haas <rhaas@postgresql.org>
Date: Wed, 15 Jan 2020 13:45:11 -0500
Subject: [PATCH 6/6] Move jsonapi.c to src/common

---
 src/backend/utils/adt/Makefile              | 1 -
 src/common/Makefile                         | 1 +
 src/{backend/utils/adt => common}/jsonapi.c | 6 +++++-
 3 files changed, 6 insertions(+), 2 deletions(-)
 rename src/{backend/utils/adt => common}/jsonapi.c (99%)

diff --git a/src/backend/utils/adt/Makefile b/src/backend/utils/adt/Makefile
index 790d7a24fb..13efa9338c 100644
--- a/src/backend/utils/adt/Makefile
+++ b/src/backend/utils/adt/Makefile
@@ -44,7 +44,6 @@ OBJS = \
 	int.o \
 	int8.o \
 	json.o \
-	jsonapi.o \
 	jsonb.o \
 	jsonb_gin.o \
 	jsonb_op.o \
diff --git a/src/common/Makefile b/src/common/Makefile
index cb00bcbbba..9ee87650a8 100644
--- a/src/common/Makefile
+++ b/src/common/Makefile
@@ -57,6 +57,7 @@ OBJS_COMMON = \
 	ip.o \
 	keywords.o \
 	kwlookup.o \
+	jsonapi.o \
 	link-canary.o \
 	md5.o \
 	pg_lzcompress.o \
diff --git a/src/backend/utils/adt/jsonapi.c b/src/common/jsonapi.c
similarity index 99%
rename from src/backend/utils/adt/jsonapi.c
rename to src/common/jsonapi.c
index f355bd9de1..c42af7647d 100644
--- a/src/backend/utils/adt/jsonapi.c
+++ b/src/common/jsonapi.c
@@ -11,11 +11,15 @@
  *
  *-------------------------------------------------------------------------
  */
+#ifdef FRONTEND
+#include "postgres_fe.h"
+#else
 #include "postgres.h"
+#endif
 
 #ifdef FRONTEND
 #include "common/logging.h"
-#include "libpq-fe.h"
+#include "../interfaces/libpq/libpq-fe.h"
 #else
 #include "miscadmin.h"
 #endif
-- 
2.17.2 (Apple Git-113)

